versão genymotion e versão de dispositivo virtual não corresponderem

? Chielarck @ | Original: StackOverFlow
---

Estou usando o emulador Genymotion a desenvolver no Android, mas quando eu executá-lo, ocorre o seguinte erro:

genymotion version and virtual device version do not match

esta é para o detalhe  http://giggle.se/stack/genymotion.PNG

Estou usando Genymotion ver.2.2.0 e VirtualBox ver.4.3.12

Alguém pode me ajudar ?

---

Top 5 Responder

1TGMCians @

Any help me?

Você deve atualizar seu dispositivo virtual que é tudo, se você não está olhando para ver novo recurso, em seguida, você pode clicar no botão "Continuar" .

Quando você atualizá-lo, então você vai ter um dispositivo virtual fresco, então não é preciso instalar outros aplicativos de terceiros que se você tiver instalado no seu dispositivo virtual atual, como o Google Apps ( Play Store, Google etc )

https://cloud.genymotion.com/page/changelog/#220

Nós regularmente adicionar novos recursos para Genymotion . Esses novos recursos não podem trabalhar em dispositivos virtuais criados com uma versão anterior do Genymotion . É por isso que você vê um pop-up chato quando você tenta executá-los a partir de uma nova versão Genymotion . Mas alegrem-se! Hoje é o último dia em que você terá que fazê-lo. Nesta versão, nós introduzimos um assistente que migra automaticamente dispositivos antigos para os novos. Então, por favor, pela última vez, apagar seus dispositivos virtuais atuais e criar novos usando o nosso novo 2.2 versão Genymotion . Da próxima vez, você será capaz de convertê-los automaticamente.

versão genymotion e versão de dispositivo virtual não corresponderem

Se você estiver usando a versão gratuita, você não pode usar a atualização em um dispositivo virtual ( que é apenas para a versão paga) . Então, o que você precisa fazer é remover o dispositivo a partir de sua lista e re -download ou acrescentar que mesmo dispositivo virtual na lista novamente. Isto deve resolver parar com isso de contexto.

2Emmanuel @

Isso não é realmente um erro. Ele está apenas dizendo o que você deve -se Odate seu dispositivo virtual. Se você estiver usando o Google Apps, a atualização irá removê-los e você terá que instalá-los manualmente. Você pode continuar a usar a versão antiga sem problemas, se você não deseja atualizar.

3sparkz @

Isso aconteceu em um dos meus Macs. A limpeza do cache não ajuda. Nem reinstalar Genymotion . No entanto, eu encontrei uma solução (eu assumo algum tipo de procedimento semelhante aplica-se a PCs com Windows ):

proceder a uma nova instalação do Genymotion 2.2.0 em outro Mac ( vamos chamá-lo : "fonte" ) . Adicionar um novo dispositivo ( por exemplo, "Google Nexus 7 2013 " ) . A 2.2.0 dispositivo virtual correto será baixado a partir do Genymotion Cloud. Inicie a máquina virtual uma vez, feche-o.

sobre a "fonte" Mac, abra o Finder e use o menu " Ir para a pasta " para navegar até a pasta /Users/[YourUserID]/.Genymobile/Genymotion/deployed . Localize a pasta correspondente ao seu dispositivo virtual recém-instalado (ou seja, "Google Nexus 7 2013 - 4.4.2 - API 19 - 1200x1920 " no nosso exemplo) e copiá-lo para o mesmo local exato para o seu "target" Mac (assumindo que não há nenhuma existente pasta com esse nome )

em sua "fonte" Mac, procure o / Users / [ YourUserID ] / pasta Library ( tecla Alt + " Ir para a pasta " no menu do Finder ) . Vá para a pasta VirtualBox e abra o arquivo VirtualBox.xml com TextEdit . Localize a linha que corresponde ao seu dispositivo virtual recém-instalado na seção ; adicione esta linha à seção do arquivo VirtualBox.xml do seu "target" Mac (localizado na mesma pasta ) .

É isso aí! Comece Genymotion em seu "target" Mac e lançar o seu novo dispositivo virtual. Não mais " versão genymotion e versão de dispositivo virtual não correspondem" aviso.

4user3427491 @

você só precisa atualizar o seu genymotion para atualizar versão

se o seu dispositivo virtual e genymotion não corresponder, você vai ficar difícil para instalar a terceira parte

como eu, eu só instalar um novo dispositivo virtual em genymotion ( samsung s), mas não corresponde com a minha genymotion . Então, eu atualizar meu genymotion e eu não precisa baixar dispositivo novamente :) ( Meu dispositivo é salvo )